commit d458192e8fd7ac4a2c825e9c14c00bcfd55d3706
Author: jklowden <jklowden>
Date:   Sat Dec 20 06:01:31 2008 +0000

    HTML 4.0 strict output

diff --git a/doc/userguide.dsl.in b/doc/userguide.dsl.in
index 18c4894..0b73e6f 100644
--- a/doc/userguide.dsl.in
+++ b/doc/userguide.dsl.in
@@ -12,7 +12,7 @@
 ;; See Chapter 3, "Customizing the Stylesheets"
 ;; http://docbook.sourceforge.net/release/dsssl/current/doc/custom.html
 
-;; $Id: userguide.dsl.in,v 1.3 2008/08/15 04:47:05 jklowden Exp $
+;; $Id: userguide.dsl.in,v 1.4 2008/12/20 06:01:31 jklowden Exp $
 
 ;; For note, tip, and warning: include little
 ;; gifs of a hand pointing a finger, or a yield sign, and so on.  
@@ -51,6 +51,37 @@
   ;; Generate HTML 4.0
   #t)
 
+(define %html-pubid%
+  ;; REFENTRY html-pubid
+  ;; PURP What public ID are you declaring your HTML compliant with?
+  ;; DESC
+  ;; The public ID used in output HTML files.  If '#f', then no public ID
+  ;; is produced.  If both this and %html-sysid% are '#f', then no
+  ;; doctype declaration is produced.
+  ;; /DESC
+  ;; AUTHOR N/A
+  ;; /REFENTRY
+  (if %html40%
+	;; "-//W3C//DTD HTML 4.01 Transitional//EN"
+	   "-//W3C//DTD HTML 4.01//EN"
+      #f))
+
+(define %html-sysid%
+  ;; REFENTRY html-sysid
+  ;; PURP What system ID are you declaring your HTML compliant with?
+  ;; DESC
+  ;; The system ID used in output HTML files.  If '#f', then no system ID
+  ;; is produced.  If both this and %html-pubid% are '#f', then no
+  ;; doctype declaration is produced.
+  ;; /DESC
+  ;; AUTHOR N/A
+  ;; /REFENTRY
+  (if %html40%
+      	;; "http://www.w3.org/TR/html4/loose.dtd"
+	   "http://www.w3.org/TR/html4/strict.dtd"
+      #f))
+
+
 ;; Insert meta tag with encoding information into each generated HTML file.
 ;; cf. http://www.dpawson.co.uk/docbook/dsssl/dssslgeneral.html 
 

